/*
 * $COPYRIGHT$
 * $Id: NavigatorBoxCellRenderer.java,v 1.1 2001/10/16 17:59:22 borzy Exp $
 *
 * Date        Author               Changes
 * Oct 16 2001 Borsos Szabolcs      Created
 */      
package org.media.hyperpad;

import java.awt.Color;
import java.awt.Component;
import javax.swing.JList;
import javax.swing.ListCellRenderer;
import org.media.hyperpad.gui.HypLabel;
/**
 * Class needed by NavigatorBox to use antialiased fonts in combo list.
 * @author <a href="mailto:borzy@nolimits.ro">Borsos Szabolcs</a>
 * @version $Revision: 1.1 $ $Date: 2001/10/16 17:59:22 $
 * @see String
 */        
public class NavigatorBoxCellRenderer extends HypLabel implements ListCellRenderer {
    
    public Component getListCellRendererComponent(JList list, Object value, int index,
                                                  boolean isSelected, boolean cellHasFocus) {
        setText(value.toString());
        setForeground(isSelected ? Color.blue : Color.black);
        return this;
    }
}
