/*
 * $COPYRIGHT$
 * $Id: HypButton.java,v 1.1 2001/10/16 17:41:01 borzy Exp $
 *
 * Date        Author               Changes
 * Oct 15 2001 Borsos Szabolcs      Created
 */
package org.media.hyperpad.gui;

import javax.swing.JButton;
import javax.swing.ImageIcon;
import java.awt.Graphics;
import java.awt.RenderingHints;
import java.awt.Graphics2D;
import org.media.hyperpad.HyperPanel;
/**
 * Class needed by HyperPad for antialiased components.
 * @author <a href="mailto:borzy@nolimits.ro">Borsos Szabolcs</a>
 * @version $Revision: 1.1 $ $Date: 2001/10/16 17:41:01 $
 * @see String
 */
public class HypButton extends JButton {
    
    public  HypButton() {
        super();
    }

    public HypButton(String text) {
        super(text);
    }

    public HypButton(ImageIcon icon) {
        super(icon);
    }
    
    public HypButton(String text, ImageIcon icon) {
        super(text, icon);
    }
    
    public void paint(Graphics g) {
        if (((Boolean)HyperPanel.confcache.get(HyperPanel.confcache.isAntiAliasing)).booleanValue()) {
            ((Graphics2D) g).setRenderingHints
                ((RenderingHints)HyperPanel.confcache.get(HyperPanel.confcache.ANTI_ALIASED_RENDERING));
        }
        else {
            ((Graphics2D) g).setRenderingHints
                ((RenderingHints)HyperPanel.confcache.get(HyperPanel.confcache.DEFAULT_RENDERING));
        }
        super.paint(g);
    }

}
