/*
 * $COPYRIGHT$
 * $Id: HypMenu.java,v 1.1 2001/10/16 17:42:22 borzy Exp $
 *
 * Date        Author               Changes
 * Oct 15 2001 Borsos Szabolcs      Created
 */
package org.media.hyperpad.gui;

import javax.swing.JMenu;
import java.awt.Graphics;
import java.awt.RenderingHints;
import java.awt.Graphics2D;
import org.media.hyperpad.HyperPanel;
/**
 * Class needed by HyperPad for antialiased components.
 * @author <a href="mailto:borzy@nolimits.ro">Borsos Szabolcs</a>
 * @version $Revision: 1.1 $ $Date: 2001/10/16 17:42:22 $
 * @see String
 */
public class HypMenu extends JMenu {
    
    public  HypMenu() {
        super();
    }

    public HypMenu(String label) {
        super(label);
    }

    public void paint(Graphics g) {
        if (((Boolean)HyperPanel.confcache.get(HyperPanel.confcache.isAntiAliasing)).booleanValue()) {
            ((Graphics2D) g).setRenderingHints
                ((RenderingHints)HyperPanel.confcache.get(HyperPanel.confcache.ANTI_ALIASED_RENDERING));
        }
        else {
            ((Graphics2D) g).setRenderingHints
                ((RenderingHints)HyperPanel.confcache.get(HyperPanel.confcache.DEFAULT_RENDERING));
        }
        super.paint(g);
    }

}
