/*
 * $COPYRIGHT$
 * $Id: XML_RW_Test.java,v 1.3 2001/05/22 21:05:59 borzy Exp $
 *
 * Date        Author               Changes
 * Apr 18 2001 Borsos Szabolcs      Created
 */
package org.media.hyperpad.test.hyperpanel;
 
import junit.framework.*;
import org.media.hyperpad.conf.ConfigHandler;
/**
 * Class meant to test all methods in ConfigHandler.
 * @author <a href="mailto:borzy@nolimits.ro">Borsos Szabolcs</a>
 * @version $Revision: 1.3 $ $Date: 2001/05/22 21:05:59 $
 * @see String
 */
public class XML_RW_Test extends TestCase {
    ConfigHandler ch;
 
    public XML_RW_Test(String name) {
        super(name);
    }
 
    public static void main (String args[]) {
        junit.textui.TestRunner.run(suite());
    }
 
    public static Test suite() {
        return new TestSuite(XML_RW_Test.class);
    }
 
    protected void setUp() {
        try {
            Class _this = Class.forName("org.media.hyperpad.test.hyperpanel.XML_RW_Test");
            String urlpath = _this.getResource("/conf/hyperpad.xml").toString();
            ch = new ConfigHandler(urlpath.substring(5, urlpath.length()));
        } catch (Exception ex) { ex.printStackTrace(); }
    }
                                                                                                 
    public void test_getBrowser() {
        assertNotNull("getBrowser() method Failed", ch.getBrowser());
    }

    public void test_getGeneralFont() {
        assertNotNull("getGeneralFont() method Failed", ch.getGeneralFont());
    }

    public void test_getGeneralColor() {
        assertNotNull("getGeneralColor() method Failed", ch.getGeneralColor());
    }

    public void test_getGeneralBgColor() {
        assertNotNull("getGeneralBgColor() method Failed", ch.getGeneralBgColor());
    }

    public void test_getCommentFont() {
        assertNotNull("getCommentFont() method Failed", ch.getCommentFont());
    }

    public void test_getCommentColor() {
        assertNotNull("getCommentColor() method Failed", ch.getCommentColor());
    }

    public void test_getKeywordFont() {
        assertNotNull("getKeywordFont() method Failed", ch.getKeywordFont());
    }

    public void test_getKeywordColor() {
        assertNotNull("getKeywordColor() method Failed", ch.getKeywordColor());
    }

    public void test_getStringFont() {
        assertNotNull("getStringFont() method Failed", ch.getStringFont());
    }

    public void test_getStringColor() {
        assertNotNull("getStringColor() method Failed", ch.getStringColor());
    }

    public void test_getNumericFont() {
        assertNotNull("getNumericFont() method Failed", ch.getNumericFont());
    }

    public void test_getNumericColor() {
        assertNotNull("getNumericColor() method Failed", ch.getNumericColor());
    }

    public void test_getCharacterFont() {
        assertNotNull("getCharacterFont() method Failed", ch.getCharacterFont());
    }

    public void test_getCharacterColor() {
        assertNotNull("getCharacterColor() method Failed", ch.getCharacterColor());
    }
}
